ADC_AVGCTRL_Type Union Reference

## Data Fields

struct {
uint8_t SAMPLENUM:4
uint8_t ADJRES:3
uint8_t __pad0__:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 357 of file adc.h.

## Field Documentation

## __pad0__

uint8_t ADC_AVGCTRL_Type::__pad0__

bit: 7 Reserved

Definition at line 361 of file adc.h.

## ADJRES

uint8_t ADC_AVGCTRL_Type::ADJRES

bit: 4.. 6 Adjusting Result / Division Coefficient

Definition at line 360 of file adc.h.

## bit

struct { ... } ADC_AVGCTRL_Type::bit

Structure used for bit access

## reg

uint8_t ADC_AVGCTRL_Type::reg

Type used for register access

Definition at line 363 of file adc.h.

## SAMPLENUM

uint8_t ADC_AVGCTRL_Type::SAMPLENUM

bit: 0.. 3 Number of Samples to be Collected

Definition at line 359 of file adc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/adc.h